part of 'settings_global_cubit.dart';

@immutable
class GlobalSettingsState extends Equatable {
  const GlobalSettingsState({
    this.username,
    this.securityToken,
    this.discoveriesDaysCount,
    this.distributionDaysCount,
    this.statisticsRecentDaysCount,
    this.timelineDaysCount,
    this.topArtistsDaysCount,
    this.newArtistsCount,
    this.newTracksCount,
  });

  final String? username;
  final String? securityToken;
  final int? discoveriesDaysCount;
  final int? distributionDaysCount;
  final int? statisticsRecentDaysCount;
  final int? timelineDaysCount;
  final int? topArtistsDaysCount;
  final int? newArtistsCount;
  final int? newTracksCount;

  @override
  List<dynamic> get props => <dynamic>[
        username,
        securityToken,
        discoveriesDaysCount,
        distributionDaysCount,
        statisticsRecentDaysCount,
        timelineDaysCount,
        topArtistsDaysCount,
        newArtistsCount,
        newTracksCount,
      ];

  Map<String, dynamic> get values => <String, dynamic>{
        'username': username,
        'securityToken': securityToken,
        'discoveriesDaysCount': discoveriesDaysCount,
        'distributionDaysCount': distributionDaysCount,
        'statisticsRecentDaysCount': statisticsRecentDaysCount,
        'timelineDaysCount': timelineDaysCount,
        'topArtistsDaysCount': topArtistsDaysCount,
        'newArtistsCount': newArtistsCount,
        'newTracksCount': newTracksCount,
      };
}
